<template>
  <div>
    <p v-html="content"></p>
    <p class="border-bottom mt-3 mb-5"></p>
    <div class="field is-grouped">
      <div class="control is-expanded">
        <button class="button is-primary has-text-white" @click="confirm()">Đồng ý</button>
        <button class="button is-white ml-2" @click="cancel()">Hủy</button>
      </div>
      <div class="control" v-if="duration">
        <CountDown :duration="duration" @close="cancel()"></CountDown>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  props: ['content', 'duration'],
  methods: {
    cancel() {
      this.$emit('close')
    },
    confirm() {
      this.$emit('modalevent', {name: 'confirm'})
      this.cancel()
    }
  }
}
</script>